<?php
/**
 * @package   Zhong (free) - accessibletemplate
 * @version   4.0.0
 * @author    Francesco Zaniol, accessibletemplate - http://www.accessibletemplate.com
 * @copyright Copyright (C) 2011-Present Francesco Zaniol
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 **/
defined('ZHONG_FRAMEWORK') or die('Restricted access');

$this->global_vars['language'] = array( // Portuguese

/*----------------------------------------------------------------
   PAGE SECTIONS
----------------------------------------------------------------*/

    'quick-access-links' =>
        'Ligações de acesso rápido',

    'quick-access-menu' =>
        'Acesso rápido ao menu',

    'accessibility-options' =>
        'Opções de acessibilidade ',

    'breadcrumbs' =>
        'Localização do root/pach',

    'support-menu' =>
        'Menu de suporte',

    'language-options' =>
        'Opçoês de idioma',

    'search' =>
        'Procurar',

    'menu' =>
        'Menu',

    'main-menu' =>
        'Menu Principal ',

    'side-menu' =>
        'Menu lateral',

    'login' =>
        'Iniciar sessão',

    'additional-resources' =>
        'Recursos adicionais',

    'additional-resources-left-column' =>
        'Recursos adicionais (coluna da esquerda)',

    'additional-resources-right-column' =>
        'Recursos adicionais (coluna da direita)',

    'content' =>
        'Conteúdo',

    'main-content' =>
        'Conteudo principal',

    'complementary-content' =>
        'Conteudo complementar',

    'supplementary-content-upper' =>
        'Conteudo complementar (superior)',

    'supplementary-content-lower' =>
        'Conteudo complementar (diminuir)',

    'footer' =>
        'Rodapé',

    'footer-menu' =>
        'Menu de rodapé',

/*----------------------------------------------------------------
   MOBILE & NIGHT MODE
----------------------------------------------------------------*/

    'mobile-layout-content' =>
        'Telemóvel',

    'mobile-layout-title' =>
        'Mudar para o esquema mobile',

    'desktop-layout-content' =>
        'Esquema pré-definido',

    'desktop-layout-title' =>
        'Mudar para o esquema desktop ',

    'night-mode-content' =>
        'Modo noturno',

    'night-mode-title' =>
        'Modo noite: Esse modo define baixa luminosidade. Ele aumenta a legibilidade em ambientes escuros.',

    'day-mode-content' =>
        'Modo diurno ',

    'day-mode-title' =>
        'Voltar ao modo diurno',

/*----------------------------------------------------------------
   ACCESSIBILITY PANEL
----------------------------------------------------------------*/

    'access-bar-advanced-hidden-title' =>
        'Mostrar opções de acessibilidade',

    'access-bar-advanced-hidden-content' =>
        'Painel de acessibilidade',

    'access-bar-advanced-showed-title' =>
        'Esconder opções de acessibilidade',

    'access-bar-advanced-showed-content' =>
        'Esconder opções',

// --------- Layout mode --------- //

    'access-bar-layout-modes-header' =>
        'Esquema:',

    'access-bar-layout-modes-default-content' =>
        'Esquema pré-definido',

    'access-bar-layout-modes-default-title' =>
        'Esta é uma versão pré-definida',

    'access-bar-layout-modes-highcontrast-content' =>
        'Alto-contraste',

    'access-bar-layout-modes-highcontrast-title' =>
        'Este esquema é adequado para pessoas com baixa-visão',

// --------- Font size --------- //

    'access-bar-font-header' =>
        'Tamanho da letra',

    'access-bar-font-increase-title' =>
        'Aumentar tamanho da letra',

    'access-bar-font-revert-title' =>
        'Restaurar tamanho da letra para o padrão',

    'access-bar-font-decrease-title' =>
        'Diminuir tamanho da letra',

    'access-bar-font-increase-content' =>
        'Maior',

    'access-bar-font-revert-content' =>
        'Recompor',

    'access-bar-font-decrease-content' =>
        'Menor',

// --------- Graphic mode --------- //

    'access-bar-graphicmode-header' =>
        'Legibilidade',

    'access-bar-graphicmode-default-title' =>
        'Esta é uma versão pré-definida',

    'access-bar-graphicmode-best-title' =>
        'Esse modo define o texto de alto contraste e destaca elementos ativos. Ele é útil para pessoas com deficiência visual e utilizadores que precisam de acesso cognitivo facilitado. Também é útil para algumas pessoas com dificuldades de leitura, como a dislexia.',

    'access-bar-graphicmode-default-content' =>
        'Legibilidade padrão',

    'access-bar-graphicmode-best-content' =>
        'Melhor legibilidade',

    'access-bar-graphicmode-low-brightness' =>
        'Menos luminosidade',

// --------- Layout width (note: some are deprecated) --------- //

    'access-bar-layout-header' =>
        'Tamanho do esquema',

    'access-bar-layout-liquid-title' =>
        'O esquema adapta se à largura do navegador',

    'access-bar-layout-fixed-title' =>
        'A largura do esquema é fixa',

    'access-bar-layout-full-title' =>
        'A largura do esquema está completo',

    'access-bar-layout-liquid-content' =>
        'Liquido',

    'access-bar-layout-fixed-content' =>
        'Fixo',

    'access-bar-layout-full-content' =>
        'Completo',

/*----------------------------------------------------------------
   OTHER
----------------------------------------------------------------*/

// --------- General --------- //

    'top' =>
        'Topo',

    'homepage' =>
        'Pagina Inicial',

    'tool-pane' =>
        'Painel de ferramentas',

    'toolbox' =>
        'Caixa de ferramentas',

    'top-toolbar' =>
        'Barra de ferramentas de topo',

    'hide' =>
        'Esconder',

    'show' =>
        'Mostrar',

    'hide-panel' =>
        'Esconder painel',

    'show-panel' =>
        'Mostrar painel',

    'ok' =>
        'OK',

    'reset' =>
        'Recompor',

    'bold' =>
        'Negrito',

    'serif' =>
        'Serif',

    'sans-serif' =>
        'Sans serif',

    'pause' =>
        'Pausa',

    'alert-message' =>
        'Mensagem de alerta',

    'hide-this-message' =>
        'Esconder esta mensagem',

    'dark' =>
        'Escuro',

    'large-print' =>
        'Impressão de Grandes Dimensões',

    'inverted' =>
        'Invertido',//?

    'theme' =>
        'Tema',

    'font' =>
        'Tipo de letra',

    'mobile' =>
        'Telemóvel',

    'access' =>
        'Acesso',

    'accessibility' =>
        'Acessibilidade',

    'style' =>
        'Estilo',

    'desktop' =>
        'Desktop',

    'user-options' =>
        'Opções do utilizador',

    'user-access' =>
        'Acesso de utilizador',

    'line-height' =>
        'Definir altura das linhas de texto',//Set Text Line Height

    'increase' =>
        'Aumentar',

    'decrease' =>
        'Diminuir',

    'expand' =>
        'Expandir',

    'shrink' =>
        'Encolher',

// --------- Slideshow --------- //

    'accessible-slideshow-main-heading' =>
        'Apresentação',

    'accessible-slideshow-slideshow-button' =>
        'Botão de apresentação',

    'accessible-slideshow-next-slide-button' =>
        'Proxima apresentação ',

    'accessible-slideshow-previous-slide-button' =>
        'Pré-visualizar apresentação',

// --------- Miscellaneous --------- //

    'hide-submenu' =>
        'Esconder o submenu',

    'expand-submenu' =>
        'Expandir o submenu',

    'new-window-link' =>
        'Abrir uma nova Janela',

    'external-link' =>
        'Link externo',

    'resize-handle-title' =>
        'Redimencionar o esquema',

    'bright-on-dark' =>
        'Claro no escuro',

    'dark-on-bright' =>
        'Escuro no Claro',

    'black-on-color' =>
        'Preto na cor',

    'white-on-color' =>
        'Branco na cor',

// --------- Welcome message + Preferences message --------- //

    'access-bar-message-welcome' =>
        'Bem vindos '.$this->params['site']['site-name'],

    'access-bar-message-clickhere' =>
        'Click aqui para configurar as suas preferencias',

// --------- Jump to --------- //

    'jump-to' =>
        'Ir para:',

    'jump-to-main-content' =>
        'Saltar para o menu principal',

    'jump-to-top' =>
        'Saltar para topo da pagina',

    'jump-to-internal-nav' =>
        'Saltar para menus de acesso rapido',

// --------- Socials --------- //

    'share' =>
        'Partilhar',

    'follow-us' =>
        'Siga - nos',

// --------- Obsolete IE message --------- //

    'iemessage-download-firefox-content' =>
        '<p>Atenção: você está executando um<strong>navegador obsoleto</strong>! Aconselhamos você atualizar o seu software para uma versão mais recente ou o download de um navegador alternativo: <a href="https://www.mozilla.org/firefox/">baixe aqui a última versão do Firefox</a>.<br/>Se você estiver executando um sistema operacional Windows em um computador de baixo desempenho, recomendamos a instalação <a href="http://www.midori-browser.org">Midori</a>.</p>',

/*----------------------------------------------------------------
   SPECIAL
----------------------------------------------------------------*/

    'accesskey' =>
        'accesskey',

// Sentence ending symbol (in the majority of languages this symbol is a period)
    'sentence-ending-symbol' =>
        '.',

    'colon-symbol' =>
        ':',

    'question-symbol' =>
        '?'

);
