<?php
/**
 * @package   Zhong (free) - accessibletemplate
 * @version   4.0.0
 * @author    Francesco Zaniol, accessibletemplate - http://www.accessibletemplate.com
 * @copyright Copyright (C) 2011-Present Francesco Zaniol
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 **/
defined('ZHONG_FRAMEWORK') or die('Restricted access');

$this->global_vars['language'] = array( // Spanish

/*----------------------------------------------------------------
   PAGE SECTIONS
----------------------------------------------------------------*/

    'quick-access-links' =>
        'Vínculos de acceso rápido',

    'quick-access-menu' =>
        'Men&uacute; de acceso r&aacute;pido',

    'accessibility-options' =>
        'Opciones de accesibilidad',

    'breadcrumbs' =>
        'Ruta de acceso',

    'support-menu' =>
        'Men&uacute; de soporte',

    'language-options' =>
        'Opciones de idioma',

    'search' =>
        'Buscar',

    'menu' =>
        'Menú',

    'main-menu' =>
        'Men&uacute; principal',

    'side-menu' =>
        'Men&uacute; lateral',

    'login' =>
        'Iniciar sesión',

    'additional-resources' =>
        'Recursos adicionales',

    'additional-resources-left-column' =>
        'Recursos adicionales (columna izquierda)',

    'additional-resources-right-column' =>
        'Recursos adicionales (columna derecha)',

    'content' =>
        'Contenido',

    'main-content' =>
        'P&aacute;gina principal',

    'complementary-content' =>
        'Contenido complementario',

    'supplementary-content-upper' =>
        'Contenido complementario (superior)',

    'supplementary-content-lower' =>
        'Contenido complementario (inferior)',

    'footer' =>
        'Pie de p&aacute;gina',

    'footer-menu' =>
        'Men&uacute; a pie de p&aacute;gina',

/*----------------------------------------------------------------
   MOBILE & NIGHT MODE
----------------------------------------------------------------*/

    'mobile-layout-content' =>
        'M&oacute;vil',

    'mobile-layout-title' =>
        'Cambiar a vista para m&oacute;vil',

    'desktop-layout-content' =>
        'Vista por defecto',

    'desktop-layout-title' =>
        'Cambiar a vista para escritorio',

    'night-mode-content' =>
        'Modo nocturno',

    'night-mode-title' =>
        'Modalidad nocturna: Esta modalidad establece un bajo contraste. Aumenta la legibilidad en ambientes oscuros.',

    'day-mode-content' =>
        'Modo d&iacute;a',

    'day-mode-title' =>
        'Regresar al modo d&iacute;a.',

/*----------------------------------------------------------------
   ACCESSIBILITY PANEL
----------------------------------------------------------------*/

    'access-bar-advanced-hidden-title' =>
        'Ver opciones de accesibilidad',

    'access-bar-advanced-hidden-content' =>
        'Panel de accesibilidad',

    'access-bar-advanced-showed-title' =>
        'Ocultar opciones de accesibilidad',

    'access-bar-advanced-showed-content' =>
        'Ocultar opciones',

// --------- Layout mode --------- //

    'access-bar-layout-modes-header' =>
        'Visualizaci&oacute;n:',

    'access-bar-layout-modes-default-content' =>
        'Vista por defecto',

    'access-bar-layout-modes-default-title' =>
        'Esta es la versi&oacute;n predeterminada',

    'access-bar-layout-modes-highcontrast-content' =>
        'Alto contraste',

    'access-bar-layout-modes-highcontrast-title' =>
        'Esta distribuci&oacute;n es adecuada para las personas con problemas de la vista',

// --------- Font size --------- //

    'access-bar-font-header' =>
        'Tama&ntilde;o de letra',

    'access-bar-font-increase-title' =>
        'Incrementar tama&ntilde;o del texto',

    'access-bar-font-revert-title' =>
        'Tama&ntilde;o de letra por defecto',

    'access-bar-font-decrease-title' =>
        'Disminuir tama&ntilde;o del texto',

    'access-bar-font-increase-content' =>
        'Mayor',

    'access-bar-font-revert-content' =>
        'Restablecer',

    'access-bar-font-decrease-content' =>
        'Menor',

// --------- Graphic mode --------- //

    'access-bar-graphicmode-header' =>
        'Legibilidad',

    'access-bar-graphicmode-default-title' =>
        'Esta es la versi&oacute;n predeterminada',

    'access-bar-graphicmode-best-title' =>
        'Este modo establece un mejor contraste y destaca los elementos activos. Es &uacute;til para las personas con discapacidad visual y los usuarios que necesitan un mejor acceso cognitivo. Tambi&eacute;n es &uacute;til para personas con discapacidad para la lectura, como la dislexia.',

    'access-bar-graphicmode-default-content' =>
        'Legibilidad por defecto',

    'access-bar-graphicmode-best-content' =>
        'Mejor legibilidad',

    'access-bar-graphicmode-low-brightness' =>
        'Menos brillo',

// --------- Layout width (note: some are deprecated) --------- //

    'access-bar-layout-header' =>
        'Ancho de p&aacute;gina',

    'access-bar-layout-liquid-title' =>
        'El dise&ntilde;o se adapta al ancho del navegador',

    'access-bar-layout-fixed-title' =>
        'El dise&ntilde;o de la p&aacute;gina es fijo',

    'access-bar-layout-full-title' =>
        'El dise&ntilde;o de la p&aacute;gina es completo',

    'access-bar-layout-liquid-content' =>
        'Ajustable',

    'access-bar-layout-fixed-content' =>
        'Fijo',

    'access-bar-layout-full-content' =>
        'Completo',

/*----------------------------------------------------------------
   OTHER
----------------------------------------------------------------*/

// --------- General --------- //

    'top' =>
        'Inicio',

    'homepage' =>
        'P&aacute;gina principal',

    'tool-pane' =>
        'Panel de herramientas',

    'toolbox' =>
        'Cuadro de herramientas',

    'top-toolbar' =>
        'Barra de herramientas superior',

    'hide' =>
        'Oculta',

    'show' =>
        'Muestra',

    'hide-panel' =>
        'Oculta panel',

    'show-panel' =>
        'Muestra panel',

    'ok' =>
        'Aceptar',

    'reset' =>
        'Restablecer',

    'bold' =>
        'Negrita',

    'serif' =>
        'Serif',

    'sans-serif' =>
        'Sans serif',

    'pause' =>
        'Pausar',

    'alert-message' =>
        'Mensaje de alerta',

    'hide-this-message' =>
        'Ocultar este mensaje',

    'dark' =>
        'Oscuro',

    'large-print' =>
        'Imagen grande',

    'inverted' =>
        'Invertido',

    'theme' =>
        'Tema',

    'font' =>
        'Fuente',

    'mobile' =>
        'Móvil',

    'access' =>
        'Acceso',

    'accessibility' =>
        'Accesibilidad',

    'style' =>
        'Estilo',

    'desktop' =>
        'Escritorio',

    'user-options' =>
        'Opciones de usuario',

    'user-access' =>
        'Acceso de usuario',

    'line-height' =>
        'Altura de la línea',

    'increase' =>
        'Aumentar',

    'decrease' =>
        'Disminuir',

    'expand' =>
        'Expandir',

    'shrink' =>
        'Reducir',

// --------- Slideshow --------- //

    'accessible-slideshow-main-heading' =>
        'Presentaci&oacute;n',

    'accessible-slideshow-slideshow-button' =>
        'Bot&oacute;n de presentaci&oacute;n',

    'accessible-slideshow-next-slide-button' =>
        'Bot&oacute;n diapositiva siguiente',

    'accessible-slideshow-previous-slide-button' =>
        'Bot&oacute;n diapositiva anterior',

// --------- Miscellaneous --------- //

    'hide-submenu' =>
        'Ocultar el submen&uacute;',

    'expand-submenu' =>
        'Ampliar el submen&uacute;',

    'new-window-link' =>
        'Abre una ventana nueva',

    'external-link' =>
        'Enlace externo',

    'resize-handle-title' =>
        'Modifica el tama&ntilde;o del dise&ntilde;o',

    'bright-on-dark' =>
        'Car&agrave;cter claro sobre fondo oscuro',

    'dark-on-bright' =>
        'Car&agrave;cter oscuro sobre fondo claro',

    'black-on-color' =>
        'Car&agrave;cter negro sobre fondo de color',

    'white-on-color' =>
        'Car&agrave;cter blanco sobre fondo de color',

// --------- Welcome message + Preferences message --------- //

    'access-bar-message-welcome' =>
        'Bienvenido a '.$this->params['site']['site-name'],

    'access-bar-message-clickhere' =>
        'Haga clic aqu&iacute; para configurar sus preferencias',

// --------- Jump to --------- //

    'jump-to' =>
        'Saltar a:',

    'jump-to-main-content' =>
        'Ir a la p&aacute;gina principal',

    'jump-to-top' =>
        'Ir al inicio de la p&aacute;gina',

    'jump-to-internal-nav' =>
        'Ir de nuevo al men&uacute; de acceso r&aacute;pido.',

// --------- Socials --------- //

    'share' =>
        'Comparte',

    'follow-us' =>
        'S&iacute;guenos',

// --------- Obsolete IE message --------- //

    'iemessage-download-firefox-content' =>
        '<p>Atenci&oacute;n: &iexcl;Se est&aacute; ejecutando un <strong>navegador obsoleto</strong>! Le recomendamos que actualice su software a una nueva versi&oacute;n o descargue un navegador alternativo: <a href="https://www.mozilla.org/firefox/">descargue aqu&iacute; la &uacute;ltima versi&oacute;n de Firefox</a>.<br/>Si est&aacute; ejecutando un sistema operativo Windows en un equipo de bajo rendimiento, se recomienda instalar <a href="http://www.midori-browser.org">Midori</a>.</p>',

/*----------------------------------------------------------------
   SPECIAL
----------------------------------------------------------------*/

    'accesskey' =>
        'accesskey',

// Sentence ending symbol (in the majority of languages this symbol is a period)
    'sentence-ending-symbol' =>
        '.',

    'colon-symbol' =>
        ':',

    'question-symbol' =>
        '?'

);
