<?php
/**
 * @package   Zhong (free) - accessibletemplate
 * @version   4.0.0
 * @author    Francesco Zaniol, accessibletemplate - http://www.accessibletemplate.com
 * @copyright Copyright (C) 2011-Present Francesco Zaniol
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 **/
defined('ZHONG_FRAMEWORK') or die('Restricted access');

$this->global_vars['language'] = array( // Swedish

/*----------------------------------------------------------------
   PAGE SECTIONS
----------------------------------------------------------------*/

    'quick-access-links' =>
        'Snabbåtkomstlänkar',

    'quick-access-menu' =>
        'Snabbmeny',

    'accessibility-options' =>
        '&Aring;tkomstalternativ',

    'breadcrumbs' =>
        'S&ouml;kv&auml;g',

    'support-menu' =>
        'Supportmeny',

    'language-options' =>
        'Spr&aring;kalternativ',

    'search' =>
        'S&ouml;k',

    'menu' =>
        'Meny',

    'main-menu' =>
        'Huvudmeny',

    'side-menu' =>
        'Sidomeny',

    'login' =>
        'Logga in',

    'additional-resources' =>
        'Ytterligare resurser',

    'additional-resources-left-column' =>
        'Ytterligare resurser (v&auml;nster kolumn)',

    'additional-resources-right-column' =>
        'Ytterligare resurser (h&ouml;ger kolumn)',

    'content' =>
        'Innehåll',

    'main-content' =>
        'Huvudinneh&aring;ll',

    'complementary-content' =>
        'Kompletterande inneh&aring;ll',

    'supplementary-content-upper' =>
        'Kompletterande inneh&aring;ll (&ouml;vre)',

    'supplementary-content-lower' =>
        'Kompletterande inneh&aring;ll (nedre)',

    'footer' =>
        'Footer',

    'footer-menu' =>
        'Sidfotsmeny',

/*----------------------------------------------------------------
   MOBILE & NIGHT MODE
----------------------------------------------------------------*/

    'mobile-layout-content' =>
        'Mobil',

    'mobile-layout-title' =>
        '&Auml;ndra till mobilsida',

    'desktop-layout-content' =>
        'Standard layout',

    'desktop-layout-title' =>
        '&Auml;ndra till skrivbordslayout',

    'night-mode-content' =>
        'Nattl&auml;ge',

    'night-mode-title' =>
        'Nattl&auml;ge: Detta l&auml;ge s&auml;tter l&aring;g luminans Det &ouml;kar l&auml;sbarheten i m&ouml;rka milj&ouml;er.',

    'day-mode-content' =>
        'Dagl&auml;ge',

    'day-mode-title' =>
        'Tillbaka till dagl&auml;ge.',

/*----------------------------------------------------------------
   ACCESSIBILITY PANEL
----------------------------------------------------------------*/

    'access-bar-advanced-hidden-title' =>
        'Visa hj&auml;lp',

    'access-bar-advanced-hidden-content' =>
        'Hj&auml;lppanel',

    'access-bar-advanced-showed-title' =>
        'D&ouml;lj hj&auml;lp',

    'access-bar-advanced-showed-content' =>
        'D&ouml;lj alternativ',

// --------- Layout mode --------- //

    'access-bar-layout-modes-header' =>
        'Layout:',

    'access-bar-layout-modes-default-content' =>
        'Standardlayout',

    'access-bar-layout-modes-default-title' =>
        'Detta &auml;r standardversionen',

    'access-bar-layout-modes-highcontrast-content' =>
        'H&ouml;g kontrast',

    'access-bar-layout-modes-highcontrast-title' =>
        'Denna layout &auml;r l&auml;mplig f&ouml;r personer med nedsatt syn',

// --------- Font size --------- //

    'access-bar-font-header' =>
        'Teckenstorlek',

    'access-bar-font-increase-title' =>
        '&Ouml;ka teckenstorlek',

    'access-bar-font-revert-title' =>
        '&Aring;terst&auml;ll teckenstorlek till standard',

    'access-bar-font-decrease-title' =>
        'Minska teckenstorlek',

    'access-bar-font-increase-content' =>
        'st&ouml;rre',

    'access-bar-font-revert-content' =>
        '&aring;terst&auml;ll',

    'access-bar-font-decrease-content' =>
        'mindre',

// --------- Graphic mode --------- //

    'access-bar-graphicmode-header' =>
        'L&auml;sbarhet',

    'access-bar-graphicmode-default-title' =>
        'Detta &auml;r standardversionen',

    'access-bar-graphicmode-best-title' =>
        'Detta &auml;r ett l&auml;ge med h&ouml;g kontrast som &auml;ven belyser aktiva element. Det &auml;r till f&ouml;r synskadade och anv&auml;ndare som beh&ouml;ver f&ouml;rtydliga inneh&aring;llet. Det &auml;r ocks&aring; anv&auml;ndbart f&ouml;r vissa personer med l&auml;ssv&aring;righeter som dyslexi.',

    'access-bar-graphicmode-default-content' =>
        'Standard l&auml;sbarhet',

    'access-bar-graphicmode-best-content' =>
        'B&auml;sta l&auml;sbarhet',

    'access-bar-graphicmode-low-brightness' =>
        'Minska ljusstyrka',

// --------- Layout width (note: some are deprecated) --------- //

    'access-bar-layout-header' =>
        'Layoutbredd',

    'access-bar-layout-liquid-title' =>
        'Layouten anpassar sig efter webbl&auml;sarens bredd',

    'access-bar-layout-fixed-title' =>
        'Layouten bredd &auml;r fast',

    'access-bar-layout-full-title' =>
        'Layouten har full bredd',

    'access-bar-layout-liquid-content' =>
        'Flytande',

    'access-bar-layout-fixed-content' =>
        'Fixerad',

    'access-bar-layout-full-content' =>
        'Full',

/*----------------------------------------------------------------
   OTHER
----------------------------------------------------------------*/

// --------- General --------- //

    'top' =>
        '&Ouml;verst',

    'homepage' =>
        'Hemsida',

    'tool-pane' =>
        'Åtgärdsfönster',

    'toolbox' =>
        'Verktygsl&aring;da',

    'top-toolbar' =>
        '&Ouml;vre verktygsf&auml;lt',

    'hide' =>
        'D&ouml;lj',

    'show' =>
        'Visa',

    'hide-panel' =>
        'G&ouml;m panel',

    'show-panel' =>
        'Visa panel',

    'ok' =>
        'OK',

    'reset' =>
        '&Aring;terst&auml;ll',

    'bold' =>
        'Fet',

    'serif' =>
        'Serif',

    'sans-serif' =>
        'Sans serif',

    'pause' =>
        'Pausa',

    'alert-message' =>
        'Aviseringsmeddelande',

    'hide-this-message' =>
        'G&ouml;m detta meddelande',

    'dark' =>
        'Mörk',

    'large-print' =>
        'Stora tecken',

    'inverted' =>
        'Omvänd',

    'theme' =>
        'Tema',

    'font' =>
        'Teckensnitt',

    'mobile' =>
        'Mobil',

    'access' =>
        'Åtkomst',

    'accessibility' =>
        'Hjälpmedel',

    'style' =>
        'Stil',

    'desktop' =>
        'Skrivbordet',

    'user-options' =>
        'Användaralternativ',

    'user-access' =>
        'Användaråtkomst',

    'line-height' =>
        'Ange höjd för textrad',//Set Text Line Height

    'increase' =>
        'Öka',

    'decrease' =>
        'Minska',

    'expand' =>
        'Visa',

    'shrink' =>
        'Krymp',

// --------- Slideshow --------- //

    'accessible-slideshow-main-heading' =>
        'Bildspel',

    'accessible-slideshow-slideshow-button' =>
        'Bildspelsknapp',

    'accessible-slideshow-next-slide-button' =>
        'Knapp f&ouml;r n&auml;sta bild',

    'accessible-slideshow-previous-slide-button' =>
        'Knapp f&ouml;r f&ouml;reg&aring;ende bild',

// --------- Miscellaneous --------- //

    'hide-submenu' =>
        'St&auml;ng submenyn',

    'expand-submenu' =>
        '&Ouml;ppna submenyn',

    'new-window-link' =>
        '&Ouml;ppnas i nytt f&ouml;nster',

    'external-link' =>
        'Extern l&auml;nk',

    'resize-handle-title' =>
        '&Auml;ndra storlek p&aring; layouten',

    'bright-on-dark' =>
        'Ljus text p&aring; m&ouml;rk bakgrund',

    'dark-on-bright' =>
        'M&ouml;rk text p&aring; ljus bakgrund',

    'black-on-color' =>
        'Svart text p&aring; f&auml;rgad bakgrund',

    'white-on-color' =>
        'Vit text p&aring; f&auml;rgad bakgrund',

// --------- Welcome message + Preferences message --------- //

    'access-bar-message-welcome' =>
        'V&auml;lkommen till '.$this->params['site']['site-name'],

    'access-bar-message-clickhere' =>
        'Klicka h&auml;r f&ouml;r att se dina inst&auml;llningar',

// --------- Jump to --------- //

    'jump-to' =>
        'Gå till:',

    'jump-to-main-content' =>
        'G&aring; till huvudinneh&aring;ll',

    'jump-to-top' =>
        'G&aring; &ouml;verst p&aring; sidan',

    'jump-to-internal-nav' =>
        'G&aring; tillbaka till snabbmenyn.',

// --------- Socials --------- //

    'share' =>
        'Dela',

    'follow-us' =>
        'F&ouml;lj oss',

// --------- Obsolete IE message --------- //

    'iemessage-download-firefox-content' =>
        '<p>Varning: du anv&auml;nder en <strong>f&ouml;r&aring;ldrad webbl&auml;sare</strong>! Vi rekommenderar att du uppdaterar din webbl&auml;sare till en nyare version eller ladda ner en alternativ webbl&auml;sare: <a href="https://www.mozilla.org/firefox/">h&auml;r kan du ladda ner den senaste versionen av Firefox</a>.<br/>Om du k&ouml;r ett Windows-operativsystem p&aring; en dator med l&aring;g prestanda rekommenderar vi att du installerar <a href="http://www.midori-browser.org">Midori</a>.</p>',

/*----------------------------------------------------------------
   SPECIAL
----------------------------------------------------------------*/

    'accesskey' =>
        'accesskey',

// Sentence ending symbol (in the majority of languages this symbol is a period)
    'sentence-ending-symbol' =>
        '.',

    'colon-symbol' =>
        ':',

    'question-symbol' =>
        '?'

);
